var config = require('./config');

module.exports = function(options) {
    if (typeof options !== 'object') {
        throw new TypeError('`options` must be an object');
    }

    for (var key in options) {
        if (!options.hasOwnProperty(key)) {
            continue;
        }

        var value = options[key];

        if (value !== undefined) {
            config[key] = value;
        }
    }
};
